Package com.macrofocus.high_d.barchart

# Class AbstractBarChart<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.barchart.AbstractBarChart<Component,Color,Row,Column>

All Implemented Interfaces:
  `BarChart<Component,Color,Row,Column>`

Direct Known Subclasses:
  `SwingBarChart`

public abstract class AbstractBarChart<Component,Color,Row,Column> extends Object implements BarChart<Component,Color,Row,Column>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BarChartController`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected BarChartView<Component,Color,Row,Column>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBarChart(BarChartModel<Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract BarChartController`
  `createController(BarChartView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected abstract BarChartModel<Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract BarChartView<Component,Color,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `BarChartController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `BarChartModel<Color,Row,Column>`
  `getModel()`
  Returns the model used by the scatter plot component.
  `BarChartView<Component,Color,Row,Column>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `protected void`
  `load(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Loads the specified data frame.
  `void`
  `setController(BarChartController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of BarChart.
  `void`
  `setModel(BarChartModel<Color,Row,Column> model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(BarChartView<Component,Color,Row,Column> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.barchart.BarChart

  `getNativeComponent`

- ## Field Details

  - ### view

    protected BarChartView<Component,Color,Row,Column> view

  - ### controller

    protected BarChartController controller

  - ### licenseModel

    protected static LicenseModel licenseModel

- ## Constructor Details

  - ### AbstractBarChart

    public AbstractBarChart(BarChartModel<Color,Row,Column> model)

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of BarChart. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### load

    protected void load(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Loads the specified data frame.
    Parameters:
      `dataFrame` - a data frame

  - ### getModel

    public BarChartModel<Color,Row,Column> getModel()
    Description copied from interface: `BarChart`
    Returns the model used by the scatter plot component.
    Specified by:
      `getModel` in interface `BarChart<Component,Color,Row,Column>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(BarChartModel<Color,Row,Column> model)
    Description copied from interface: `BarChart`
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `BarChart<Component,Color,Row,Column>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public BarChartView<Component,Color,Row,Column> getView()
    Description copied from interface: `BarChart`
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `BarChart<Component,Color,Row,Column>`
    Returns:
      the view in use

  - ### setView

    public void setView(BarChartView<Component,Color,Row,Column> view)
    Description copied from interface: `BarChart`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `BarChart<Component,Color,Row,Column>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public BarChartController getController()
    Description copied from interface: `BarChart`
    Returns the controller used by the parallel coordinates component.
    Specified by:
      `getController` in interface `BarChart<Component,Color,Row,Column>`
    Returns:
      the controller in use

  - ### setController

    public void setController(BarChartController controller)
    Description copied from interface: `BarChart`
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Specified by:
      `setController` in interface `BarChart<Component,Color,Row,Column>`
    Parameters:
      `controller` - the controller in use

  - ### createModel

    protected abstract BarChartModel<Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a BarChartModel instance

  - ### createView

    protected abstract BarChartView<Component,Color,Row,Column> createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a BarChartView instance

  - ### createController

    protected abstract BarChartController createController(BarChartView view)
    Creates a controller that can be used by the parallel coordinates component
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a BarChartController instance